com.trilead.ssh2.sftp

## Class ErrorCodes

- java.lang.Object
- - com.trilead.ssh2.sftp.ErrorCodes

    public class ErrorCodes
    extends java.lang.Object

SFTP Error Codes

### Field Summary

Fields
`static int` `SSH_FX_BAD_MESSAGE`
`static int` `SSH_FX_BYTE_RANGE_LOCK_CONFLICT`
`static int` `SSH_FX_BYTE_RANGE_LOCK_REFUSED`
`static int` `SSH_FX_CANNOT_DELETE`
`static int` `SSH_FX_CONNECTION_LOST`
`static int` `SSH_FX_DELETE_PENDING`
`static int` `SSH_FX_DIR_NOT_EMPTY`
`static int` `SSH_FX_EOF`
`static int` `SSH_FX_FAILURE`
`static int` `SSH_FX_FILE_ALREADY_EXISTS`
`static int` `SSH_FX_FILE_CORRUPT`
`static int` `SSH_FX_FILE_IS_A_DIRECTORY`
`static int` `SSH_FX_GROUP_INVALID`
`static int` `SSH_FX_INVALID_FILENAME`
`static int` `SSH_FX_INVALID_HANDLE`
`static int` `SSH_FX_INVALID_PARAMETER`
`static int` `SSH_FX_LINK_LOOP`
`static int` `SSH_FX_LOCK_CONFLICT`
`static int` `SSH_FX_NO_CONNECTION`
`static int` `SSH_FX_NO_MATCHING_BYTE_RANGE_LOCK`
`static int` `SSH_FX_NO_MEDIA`
`static int` `SSH_FX_NO_SPACE_ON_FILESYSTEM`
`static int` `SSH_FX_NO_SUCH_FILE`
`static int` `SSH_FX_NO_SUCH_PATH`
`static int` `SSH_FX_NOT_A_DIRECTORY`
`static int` `SSH_FX_OK`
`static int` `SSH_FX_OP_UNSUPPORTED`
`static int` `SSH_FX_OWNER_INVALID`
`static int` `SSH_FX_PERMISSION_DENIED`
`static int` `SSH_FX_QUOTA_EXCEEDED`
`static int` `SSH_FX_UNKNOWN_PRINCIPAL`
`static int` `SSH_FX_WRITE_PROTECT`

### Constructor Summary

Constructors
Constructor and Description
`ErrorCodes()`

### Method Summary

Methods
`static java.lang.String[]` `getDescription(int errorCode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SSH_FX_OK

    public static final int SSH_FX_OK

See Also:
  Constant Field Values

#### SSH_FX_EOF

    public static final int SSH_FX_EOF

See Also:
  Constant Field Values

#### SSH_FX_NO_SUCH_FILE

    public static final int SSH_FX_NO_SUCH_FILE

See Also:
  Constant Field Values

#### SSH_FX_PERMISSION_DENIED

    public static final int SSH_FX_PERMISSION_DENIED

See Also:
  Constant Field Values

#### SSH_FX_FAILURE

    public static final int SSH_FX_FAILURE

See Also:
  Constant Field Values

#### SSH_FX_BAD_MESSAGE

    public static final int SSH_FX_BAD_MESSAGE

See Also:
  Constant Field Values

#### SSH_FX_NO_CONNECTION

    public static final int SSH_FX_NO_CONNECTION

See Also:
  Constant Field Values

#### SSH_FX_CONNECTION_LOST

    public static final int SSH_FX_CONNECTION_LOST

See Also:
  Constant Field Values

#### SSH_FX_OP_UNSUPPORTED

    public static final int SSH_FX_OP_UNSUPPORTED

See Also:
  Constant Field Values

#### SSH_FX_INVALID_HANDLE

    public static final int SSH_FX_INVALID_HANDLE

See Also:
  Constant Field Values

#### SSH_FX_NO_SUCH_PATH

    public static final int SSH_FX_NO_SUCH_PATH

See Also:
  Constant Field Values

#### SSH_FX_FILE_ALREADY_EXISTS

    public static final int SSH_FX_FILE_ALREADY_EXISTS

See Also:
  Constant Field Values

#### SSH_FX_WRITE_PROTECT

    public static final int SSH_FX_WRITE_PROTECT

See Also:
  Constant Field Values

#### SSH_FX_NO_MEDIA

    public static final int SSH_FX_NO_MEDIA

See Also:
  Constant Field Values

#### SSH_FX_NO_SPACE_ON_FILESYSTEM

    public static final int SSH_FX_NO_SPACE_ON_FILESYSTEM

See Also:
  Constant Field Values

#### SSH_FX_QUOTA_EXCEEDED

    public static final int SSH_FX_QUOTA_EXCEEDED

See Also:
  Constant Field Values

#### SSH_FX_UNKNOWN_PRINCIPAL

    public static final int SSH_FX_UNKNOWN_PRINCIPAL

See Also:
  Constant Field Values

#### SSH_FX_LOCK_CONFLICT

    public static final int SSH_FX_LOCK_CONFLICT

See Also:
  Constant Field Values

#### SSH_FX_DIR_NOT_EMPTY

    public static final int SSH_FX_DIR_NOT_EMPTY

See Also:
  Constant Field Values

#### SSH_FX_NOT_A_DIRECTORY

    public static final int SSH_FX_NOT_A_DIRECTORY

See Also:
  Constant Field Values

#### SSH_FX_INVALID_FILENAME

    public static final int SSH_FX_INVALID_FILENAME

See Also:
  Constant Field Values

#### SSH_FX_LINK_LOOP

    public static final int SSH_FX_LINK_LOOP

See Also:
  Constant Field Values

#### SSH_FX_CANNOT_DELETE

    public static final int SSH_FX_CANNOT_DELETE

See Also:
  Constant Field Values

#### SSH_FX_INVALID_PARAMETER

    public static final int SSH_FX_INVALID_PARAMETER

See Also:
  Constant Field Values

#### SSH_FX_FILE_IS_A_DIRECTORY

    public static final int SSH_FX_FILE_IS_A_DIRECTORY

See Also:
  Constant Field Values

#### SSH_FX_BYTE_RANGE_LOCK_CONFLICT

    public static final int SSH_FX_BYTE_RANGE_LOCK_CONFLICT

See Also:
  Constant Field Values

#### SSH_FX_BYTE_RANGE_LOCK_REFUSED

    public static final int SSH_FX_BYTE_RANGE_LOCK_REFUSED

See Also:
  Constant Field Values

#### SSH_FX_DELETE_PENDING

    public static final int SSH_FX_DELETE_PENDING

See Also:
  Constant Field Values

#### SSH_FX_FILE_CORRUPT

    public static final int SSH_FX_FILE_CORRUPT

See Also:
  Constant Field Values

#### SSH_FX_OWNER_INVALID

    public static final int SSH_FX_OWNER_INVALID

See Also:
  Constant Field Values

#### SSH_FX_GROUP_INVALID

    public static final int SSH_FX_GROUP_INVALID

See Also:
  Constant Field Values

#### SSH_FX_NO_MATCHING_BYTE_RANGE_LOCK

    public static final int SSH_FX_NO_MATCHING_BYTE_RANGE_LOCK

See Also:
  Constant Field Values

### Constructor Detail

#### ErrorCodes

    public ErrorCodes()

### Method Detail

#### getDescription

    public static final java.lang.String[] getDescription(int errorCode)